"use client";
import { Inter } from "next/font/google";
import React, { useEffect } from "react";
import "./globals.css";
import BottomNav from "../components/BottomNav";
import { Provider } from 'react-redux';
import store from '../store';
const inter = Inter({ subsets: ["latin"] });

export const metadata = {
  title: "铁粉空间",

  description: "与Ta永不失联",
  keywords: [
    "铁粉空间",
    "铁粉空间APP",
    "社交",
    "网红",
    "粉丝",
    "创作者",
    "变现",
    "平台",
    "铁粉",
    "空间",
  ],
};
export const viewport = {
  width: "device-width",
  initialScale: 1,
  maximumScale: 1,
  userScalable: 0,
};
export default function RootLayout({ children }) {
  return (
    <html lang="zh-CN" className="bg-deepBg" data-prefers-color-scheme="dark">
      <body className={inter.className}>
        
        <main
          className={`h-screen fixed bottom-0 left-0 w-full bg-deepBg `}
        >
          <Provider store={store}>{children}</Provider>
          <div className="fixed bottom-0 left-0 w-full bg-black"><BottomNav /></div>
        </main>
      </body>
    </html>
  );
}
