"use client";

import React, { useState } from "react";
import { Input, Button } from "antd-mobile";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faAngleLeft, faAngleRight } from "@fortawesome/free-solid-svg-icons";
import { useRouter } from "next/navigation";
export default function EditUserName() {
  const router = useRouter();
  const [name, setName] = useState();
  return (
    <div>
      <div className="p-4 fixed top-0 z-10 w-full">
        <div className="w-9 h-9 flex items-center justify-center bg-[#FFFFFF1A] rounded-full absolute">
          <FontAwesomeIcon
            icon={faAngleLeft}
            size="xl"
            onClick={() => {
              router.back();
            }}
          />
        </div>
        <p className="text-base text-center leading-9">修改资料</p>
      </div>
      {/* 内容 */}
      <div className="pt-16 px-4">
        <div className="flex items-center rounded-full bg-[#FFFFFF1A] text-white h-12 px-4">
          <Input
            placeholder="请输入新昵称"
            max={8}
            onChange={(value) => setName(value)}
            value={"铁粉空间"}
            style={{ "--placeholder-color": "#FFFFFF80" }}
          />
        </div>
        <div className="mt-16">
        <Button
          shape="rounded"
          size="middle"
          block
          
          // onClick={handleSubmit}
          style={{"--background-color": "#FF669E","color": "#FFFFFF"}}
        >
          确认
        </Button>
        </div>
      </div>
    </div>
  );
}
