"use client";

import React, { useEffect, useRef, useState } from "react";
import { Mask, Divider } from "antd-mobile";
import { useRouter } from "next/navigation";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faAngleLeft } from "@fortawesome/free-solid-svg-icons";
export default function Pay() {
  const router = useRouter();
  const [visible, setVisible] = useState(false);
  // 获取屏幕高度
  // const scrollHeight = 600;
  useEffect(() => {}, []);
  return (
    <div className="">
      <div className="flex justify-between items-center p-4 fixed top-0 z-10 w-full">
        <div className="w-9 h-9 flex items-center justify-center bg-[#FFFFFF1A] rounded-full">
          <FontAwesomeIcon
            icon={faAngleLeft}
            size="xl"
            onClick={() => {
              router.back();
            }}
          />
        </div>
      </div>
      {/* 内容 */}
      <div className="p-4 pt-24">
        <div className=" text-base">
          <p className="text-[46px] text-primary text-center">¥39.90</p>
          <div className="mt-12">
            <div className="flex justify-between">
              <span>付费商品：</span>
              <span className="text-[#ffffff88]">草莓不可爱-空间成员</span>
            </div>
            <Divider />
            <div className="flex justify-between">
              <span>有效期：</span>
              <span className="text-[#ffffff88]">永久</span>
            </div>
            <Divider />
          </div>
        </div>
        <div className="mt-16">
          <p className="text-[#ffffff88] text-base font-medium">购买须知：</p>
          <p className="text-[#ffffff88] text-sm">
            1、本空间由空间主人自行创建，加入空间前请确认相关风险，避免上当受骗；
            <br />
            2、当前开通的空间成员身份仅针对当前空间生效，请确认空间名称与与空间主人；
            <br />
            3、当前购买内容为空间成员身份，开通后可获得当前空间内成员身份查阅权限；
            <br />
            4、虚拟商品一经售出不予退款，请确认阅读上述条款并无异议后进行购买；
            <br />
            5、本平台不提供违法及色情内容，如您发现空间内存在以上内容，请联系人工客服举报处理；
            <br />
            6、本项权益内容最终解释权归铁粉空间运营方所有。
          </p>
        </div>
      </div>
      <div>
        <div className="flex flex-col justify-center items-center px-4 py-4 fixed bottom-0 bg-deepBg w-full ">
          <div className="bg-primary w-full px-10 py-1 text-base rounded-full">
            {/* <Image/> */}
            <div
              className="flex items-center py-1 font-bold"
              onClick={() => {
                router.push("/pay");
              }}
            >
              <span className="m-auto">支付宝支付</span>
            </div>
          </div>
          <p className="mt-4 text-xs text-[#ffffff88]">
            确认购买即视为同意
            <span className="text-primary" onClick={() => setVisible(true)}>
              《用户充值协议》
            </span>
          </p>
        </div>
      </div>
      <Mask visible={visible}>
        <div
          className="w-full h-screen flex justify-center items-center"
          onClick={() => setVisible(false)}
        >
          <div className="w-full h-screen flex flex-col p-4  bg-deepBg rounded-2xl text-base">
            <div className="w-full mt-4 mb-8">
              <div className="w-9 h-9 float-left flex items-center justify-center bg-[#FFFFFF1A] rounded-full">
                <FontAwesomeIcon
                  icon={faAngleLeft}
                  size="xl"
                  onClick={() => {
                    setVisible(false)
                  }}
                />
              </div>
              <p className="text-center text-2xl">铁粉空间充值协议</p>
            </div>
            
            <p>更新时间：2023年12月20日</p>
            <p>生效日期：2023年12月20日</p>
          </div>
        </div>
      </Mask>
    </div>
  );
}
