/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./components/**/*.{js,ts,jsx,tsx,mdx}",
    "./app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  theme: {
    extend: {
      colors: {
        primary: { DEFAULT: "#FF669E", 500: "#FF669E50" },
        secondary: { DEFAULT: "#838284" },
        neutral: { DEFAULT: "#2c2b2f" },
        info: { DEFAULT: "#3B69B8" },
        success: { DEFAULT: "#27F5B7" },
        warning: { DEFAULT: "#FFF04C" },
        error: { DEFAULT: "#F53030" },
        deepBg: { DEFAULT: "#07050A" },
        btn: { DEFAULT: "#3763b7" },
        super: {
          DEFAULT: "#FFD685",
          500: "#FFD68550",
        },
      },
      backgroundImage: {
        "gradient-radial": "radial-gradient(var(--tw-gradient-stops))",
        "gradient-conic":
          "conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))",
      },
    },
  },
  // daisyui: {
  //   theme: [
  //     {
  //       mytheme: {
  //         primary: "#FF669E",
  //         secondary: "#838284",
  //         neutral: "#2c2b2f",
  //         info: "#3B69B8",
  //         success: "#27F5B7",
  //         warning: "#FFF04C",
  //         error: "#F53030",
  //       },
  //     },
  //   ],
  // },
  plugins: [require("daisyui")],
};
